imports:
  - { resource: ../parameters.yml }

services:
  ps_eventbus.db:
    class: Db
    public: true
    factory: [ 'Db', 'getInstance' ]

  ps_eventbus.context:
    class: Context
    public: true
    factory: [ 'Context', 'getContext' ]

  ps_eventbus.link:
    class: Link
    public: true
    factory: [ 'PrestaShop\Module\PsEventbus\Factory\Link', 'get' ]

  ps_eventbus:
    class: 'Ps_eventbus'
    public: true
    factory: ['Module', 'getInstanceByName']
    arguments:
      - 'ps_eventbus'

  PrestaShop\PsAccountsInstaller\Installer\Installer:
    class: PrestaShop\PsAccountsInstaller\Installer\Installer
    public: true
    arguments:
      - '4.0.0'

  PrestaShop\PsAccountsInstaller\Installer\Facade\PsAccounts:
    class: PrestaShop\PsAccountsInstaller\Installer\Facade\PsAccounts
    public: true
    arguments:
      - '@PrestaShop\PsAccountsInstaller\Installer\Installer'